package com.cyksj.service.mange.gpt;

import com.cyksj.model.entity.GroupsRelation;
import com.cyksj.model.request.GptIndependentExportRechargeReq;
import com.cyksj.model.request.GroupsRelationRechargeReq;
import com.cyksj.server.recharge.dto.TaskResult;
import com.cyksj.server.recharge.dto.TokenParseResult;

/**
 * 项目名: yhlxj11111111
 * 文件名: GptRechargeService
 * 创建者: JavaZou
 * 创建时间:2025/8/4 16:34
 */
public interface GptRechargeService {
	TokenParseResult parseToken(String accessToken);

	String confirmRecharge(long adminId, GroupsRelationRechargeReq req);

	TaskResult getTaskResult(String taskId);

	void gptIndependentExportRecharge(GptIndependentExportRechargeReq rechargeReq);

	GroupsRelation getOrderRelation(String orderNo);
}
